Search form

[Webinar] Small Island Developing States and the IG Process

For the first time since WSIS (Tunis, 2005), the international Internet governance (IG) community meeting in Brazil last month has recognised that participation in the IG process should reflect geographic diversity and include stakeholders from small island developing states (SIDS). This recognition, incorporated in the NETmundial outcome document, marks an important step for SIDS. This reference is a breakthrough, but is it enough for the international community to recognise the challenges and concerns which SIDS face? What are the unique difficulties of SIDS, and how do these impact SIDS participation in the IG process? What are the next steps for SIDS on both a regional and international level?

Join us for a discussion on SIDS’ participation in the IG process, with Tracy Hackshaw, Deputy National Chief Information Officer at the Ministry of Science and Technology for Trinidad and Tobago, today (Friday, 30th May) at 12:00 GMT. Read more and register here.
 

[Webinar] Geneva Briefing on Internet Governance (June 2014)

You receive hundreds of pieces of information on digital politics. We receive them, too. We decode, contextualise, and analyse them. Then we summarise them for you. The webinar will take place on Tuesday, 3rd June, 2014, at 13.00 CET.
Register here and join us online or in Geneva.

We will reflect on several Internet governance (IG) developments in May including:

  • .amazon rejected: The application for the new generic Top Level Domain (new gTLD) .amazon has been rejected by ICANN, after the consensus-based request of the Government Advisory Committee (GAC).
  • Net neutrality remains on the stage: The United States Federal Communications Commission (FCC) proposes rules about the future of the 'Open Internet'.
  • Right to be forgotten: The European Court of Justice ruled Google has to amend search results to exclude 'outdated' and 'irrelevant' personal data.
  • ICANN's High-Level Panel final report: Panel on Global Internet Cooperation and Governance Mechanisms released key recommendations on how to evolve the IG ecosystem.
  • CSTD Working Group on Enhanced Cooperation: Stalemate on 'roles and responsibilities'.
  • IGF Multistakeholder Advisory Group meeting: Discussions on IGF outcomes and the agenda of Istanbul meeting.
  • ITU Open Consultation for the WSIS+10 High Level Event: Drafting the WSIS+10 output document.
  • Stockholm Internet Freedom: Is surveillance an IG issue?
  • And the latest from the Geneva Internet Platform (GIP).
     

Bitcoin and Other Cryptocurrencies

DiploFoundation, in cooperation with the Swiss Bitcoin Association, invites you to an event on 13 June discussing the political, technical, business, and developmental aspects of Bitcoin and other cryptocurrencies. What are digital currencies and how do they work? What is the value of this ‘digital money’ and their economic impact? How secure and private are these transactions, and what is the role of cryptography in them? Are fluctuations in Bitcoin value important? What are the risks of an anonymous and decentralised currency system? How do regulators around the world react to crypto currencies? What is next? Join us in Geneva or remotely!
More information on this page.
 

Geneva Events

Diplo community members in Geneva are invited to the following events.

10 to 13 June - WSIS+10 High Level Forum in Geneva

The Geneva Internet Platform will be among the exhibitors at the WSIS+10 High Level Forum in Geneva from 10 to 13 June. Come and see us at our stand and collect our materials.

12 June - The Role of Governments in Internet Governance

The Internet was built on basic libertarian and democratic axioms; it was developed and deployed outside the sphere of government influence, with the academic and technical communities playing the leading role. Their distributed, informal, and bottom-up decision-making processes challenge the traditional world of governments, which is based on the principle of national sovereignty, as enshrined in the UN Charter. One of the key questions for the future of Internet governance is the role of governments. Please register for the 12 June event, hosted by the GIP and organised by ISOC.

18 June -  The Internet as a Critical Resource for Pacific Island States

DiploFoundation invites you to a roundtable discussion mapping the challenges Internet connectivity issues represent in remote countries and the mechanism of Geneva’s relevant actors in promoting the interests of small, remote developing countries. The event will take place at the WMO building in Geneva from 17:30 to19:00 on 18 June. More information and registration available on this page.   
 

What's been happening in Diplo's blogosphere

Diplo lecturer Alan Franklin's webinar on 20 May stimulated intense discussion about whether diplomatic law actually is complied with (the conventional viewpoint) or whether it is 'honoured in the breach' (the more realistic viewpoint). Read more and join the ongoing discussion on his follow-up blog post Does diplomatic law really protect? Look out for upcoming posts in this series of three.

Prompted by a photo she saw on Facebook, Hannah Slavik takes a look at what our alumni are doing in her post: Diplo alumni – six years later. The post invites all alumni to share their news and achievements. And over on the E-diplomacy channel, Ginger Paque wonders will tweeting kill Schrödinger’s Cat and other questions

Remember, you too can have your say by commenting on these or any of our blog posts. And, if you’d like to be a guest blogger, let us know.
 

Discussing Internet Governance

The European Court of Justice recently delivered a judgment on the right to be forgotten. In an era where everything we do online leaves a footprint, and where the delete button doesn’t wipe out our actions, the recent judgement draws attention to this right. Diplo alumni member Nevena Ruzic explores the possible ramifications of this decision and discusses what it tells us.

On Diplo’s IG community platform, Javier Rodriguez discusses the implications of the 15 May vote by the US Federal Communications Commission (FCC) in Is today the beginning of the end of Net Neutrality? 10:30 Important Vote, whereas his second blog post, The Rotten Roots. Summary of Issues and Sources on Net Neutrality, includes a comprehensive collation of sources on the topic.

Akinremi Peter Taiwo discusses the link between understanding and collaboration, while Ginger Paque shares a call for abstracts for a round table on Inclusion in the network society: mapping development alternatives, forging research agendas, organised by IT for Change and IDRC on 29 September to 1 October.

Follow more IG-related news and discussions on Diplo’s Internet governance channel, and on Diplo’s IG community blog roll.
 

Upcoming study opportunities

New online course: Global Health Diplomacy

The Global Health Programme at the Graduate Institute Geneva and Diplo are pleased to announce a new interactive online course on Global Health Diplomacy. As health moves beyond its purely technical realm to become an ever more critical element in foreign policy, security policy, and trade agreements, new skills are needed to negotiate global regimes, international agreements and treaties, and to maintain relations with a wide range of stakeholders. This course focuses on health diplomacy as it relates to health issues that transcend national boundaries and are global in nature. The course discusses the challenges facing health diplomacy and how they are being addressed by different groups and at different levels of governance. The first session starts on 15 September 2014. Read more about the course and apply online by 1 August.

Summer online courses

The summer is a great time to focus on professional development with our online courses starting the week of 21 July:

Apply by 19 May for University of Malta accredited courses and by 16 June for Diplo certificate courses. For further information or to apply, click on the titles of the courses above, or visit our courses website. Register now to reserve your place.

2015 Master in Contemporary Diplomacy

We are now accepting applications for the 2015 Master in Contemporary Diplomacy, and the Master in Contemporary Diplomacy with an Internet Governance specialisation. These unique postgraduate programmes, offered in cooperation with the University of Malta, include a 10-day residential workshop in Malta followed by 16–20 months of online learning. Please visit the Master in Contemporary Diplomacy webpage to read more and to apply. The programme starts on 2 February 2015. The deadline to apply for international applicants is 1 October 2014 and for Maltese applicants it is 15 November 2014.

Online Diploma Course in Humanitarian Diplomacy

The next session of the Humanitarian Diplomacy online diploma course, offered by the International Federation of Red Cross and Red Crescent Societies in cooperation with DiploFoundation, will start on 8 September 2014. This 12-week course, led by Ambassador Christopher Lamb, will extend the knowledge base and develop practical skills of current and future practitioners in humanitarian diplomacy and policy. The application deadline is 28 July 2014. For more details and to apply, please visit the course webpage.

Sign up for our courses mailing list to be informed about upcoming courses.
 

Small and Developing Country Scholarship Fund

Finally, please don't forget our ongoing campaign to raise funds for the Small and Developing Country Scholarship Fund. We have reached 39% of our goal, which is great. But we still have a way to go to reach the full goal in the next 17 days.

You know the value of our work in helping to strengthen the voices of small and developing states at international conferences and negotiations, to enable them to better represent national needs and interests. We want to build this fund because we know the impact of scholarships for many people who couldn’t otherwise participate in Diplo’s programmes. Yet the financial resources available to provide this support are reducing, as donor priorities change. You can help:

  • Make a donation. Donations do not have to be large - even 10 USD will make a difference.
  • Help us share the news about our campaign widely. You can share it on Facebook or Twitter, and through any other networks. If you know people who share our vision, and can us to establish this fund, please tell them about Diplo and our campaign.

For more information or to make a donation please visit our fundraising campaign page. Thank you for your participation!

Scroll to Top